import fs from 'fs';
import path from 'path';

export const events = fs.readFileSync(path.join(__dirname, 'events.gql'), 'utf8');
export const eventsInRange = fs.readFileSync(path.join(__dirname, 'eventsInRange.gql'), 'utf8');
export const factory = fs.readFileSync(path.join(__dirname, 'factory.gql'), 'utf8');
export const factories = fs.readFileSync(path.join(__dirname, 'factories.gql'), 'utf8');
export const bundle = fs.readFileSync(path.join(__dirname, 'bundle.gql'), 'utf8');
export const bundles = fs.readFileSync(path.join(__dirname, 'bundles.gql'), 'utf8');
export const token = fs.readFileSync(path.join(__dirname, 'token.gql'), 'utf8');
export const tokens = fs.readFileSync(path.join(__dirname, 'tokens.gql'), 'utf8');
export const tokenPrice = fs.readFileSync(path.join(__dirname, 'tokenPrice.gql'), 'utf8');
export const tokenPrices = fs.readFileSync(path.join(__dirname, 'tokenPrices.gql'), 'utf8');
export const _TokenPair = fs.readFileSync(path.join(__dirname, '_TokenPair.gql'), 'utf8');
export const _TokenPairs = fs.readFileSync(path.join(__dirname, '_TokenPairs.gql'), 'utf8');
export const _WhitelistedTokenPair = fs.readFileSync(path.join(__dirname, '_WhitelistedTokenPair.gql'), 'utf8');
export const _WhitelistedTokenPairs = fs.readFileSync(path.join(__dirname, '_WhitelistedTokenPairs.gql'), 'utf8');
export const pair = fs.readFileSync(path.join(__dirname, 'pair.gql'), 'utf8');
export const pairs = fs.readFileSync(path.join(__dirname, 'pairs.gql'), 'utf8');
export const user = fs.readFileSync(path.join(__dirname, 'user.gql'), 'utf8');
export const users = fs.readFileSync(path.join(__dirname, 'users.gql'), 'utf8');
export const liquidityPosition = fs.readFileSync(path.join(__dirname, 'liquidityPosition.gql'), 'utf8');
export const liquidityPositions = fs.readFileSync(path.join(__dirname, 'liquidityPositions.gql'), 'utf8');
export const mint = fs.readFileSync(path.join(__dirname, 'mint.gql'), 'utf8');
export const mints = fs.readFileSync(path.join(__dirname, 'mints.gql'), 'utf8');
export const burn = fs.readFileSync(path.join(__dirname, 'burn.gql'), 'utf8');
export const burns = fs.readFileSync(path.join(__dirname, 'burns.gql'), 'utf8');
export const swap = fs.readFileSync(path.join(__dirname, 'swap.gql'), 'utf8');
export const swaps = fs.readFileSync(path.join(__dirname, 'swaps.gql'), 'utf8');
export const transaction = fs.readFileSync(path.join(__dirname, 'transaction.gql'), 'utf8');
export const transactions = fs.readFileSync(path.join(__dirname, 'transactions.gql'), 'utf8');
export const liquidityPositionSnapshot = fs.readFileSync(path.join(__dirname, 'liquidityPositionSnapshot.gql'), 'utf8');
export const liquidityPositionSnapshots = fs.readFileSync(path.join(__dirname, 'liquidityPositionSnapshots.gql'), 'utf8');
export const pairHourSnapshot = fs.readFileSync(path.join(__dirname, 'pairHourSnapshot.gql'), 'utf8');
export const pairHourSnapshots = fs.readFileSync(path.join(__dirname, 'pairHourSnapshots.gql'), 'utf8');
export const pairDaySnapshot = fs.readFileSync(path.join(__dirname, 'pairDaySnapshot.gql'), 'utf8');
export const pairDaySnapshots = fs.readFileSync(path.join(__dirname, 'pairDaySnapshots.gql'), 'utf8');
export const tokenHourSnapshot = fs.readFileSync(path.join(__dirname, 'tokenHourSnapshot.gql'), 'utf8');
export const tokenHourSnapshots = fs.readFileSync(path.join(__dirname, 'tokenHourSnapshots.gql'), 'utf8');
export const tokenDaySnapshot = fs.readFileSync(path.join(__dirname, 'tokenDaySnapshot.gql'), 'utf8');
export const tokenDaySnapshots = fs.readFileSync(path.join(__dirname, 'tokenDaySnapshots.gql'), 'utf8');
export const factoryHourSnapshot = fs.readFileSync(path.join(__dirname, 'factoryHourSnapshot.gql'), 'utf8');
export const factoryHourSnapshots = fs.readFileSync(path.join(__dirname, 'factoryHourSnapshots.gql'), 'utf8');
export const factoryDaySnapshot = fs.readFileSync(path.join(__dirname, 'factoryDaySnapshot.gql'), 'utf8');
export const factoryDaySnapshots = fs.readFileSync(path.join(__dirname, 'factoryDaySnapshots.gql'), 'utf8');
export const _meta = fs.readFileSync(path.join(__dirname, '_meta.gql'), 'utf8');
export const getStateByCID = fs.readFileSync(path.join(__dirname, 'getStateByCID.gql'), 'utf8');
export const getState = fs.readFileSync(path.join(__dirname, 'getState.gql'), 'utf8');
export const getSyncStatus = fs.readFileSync(path.join(__dirname, 'getSyncStatus.gql'), 'utf8');
